if not AltManager then return end

local L = LibStub("AceLocale-3.0"):GetLocale("AltManager")
local me = GetUnitName("Player").." - "..GetRealmName()
local AMConfig = LibStub("AceConfig-3.0")
local AMConfigDialog = LibStub("AceConfigDialog-3.0")

function AltManager:Options()
	local AMOptions = {
	  type="group",
	  args={
		HandleRaids={ },
		HandleJobQuests={
		  type="group",
		  inline=true,
		  order=100,
		  name=L.JobQuests,
		  args={
			HandleCook={
			  name=L.Cook,
			  desc=L.ToggleDesc..L.Cook,
			  order=103,
			  type="toggle",
			  set = function(info,val) AltManager.db.global[me].Cook.handle = val end,
			  get = function(info) return AltManager.db.global[me].Cook.handle end
			},
			HandleFish={
			  name=L.Fish,
			  desc=L.ToggleDesc..L.Fish,
			  order=102,
			  type="toggle",
			  set = function(info,val) AltManager.db.global[me].Fish.handle = val end,
			  get = function(info) return AltManager.db.global[me].Fish.handle end
			},
			HandleJC={
			  name=L.JC,
			  desc=L.ToggleDesc..L.JC,
			  order=101,
			  type="toggle",
			  set = function(info,val) AltManager.db.global[me].JC.handle = val end,
			  get = function(info) return AltManager.db.global[me].JC.handle end
			},
		  },
		},
		HandleMisc={
		  type="group",
		  inline=true,
		  order=200,
		  name=L.Misc,
		  args={
			HandleBG={
			  name=L.BG,
			  desc=L.ToggleDesc..L.BG,
			  order=203,
			  type="toggle",
			  set = function(info,val) AltManager.db.global[me].BG.handle = val end,
			  get = function(info) return AltManager.db.global[me].BG.handle end
			},
			HandleFrost={
			  name=L.Frost,
			  desc=L.ToggleDesc..L.Frost,
			  order=202,
			  type="toggle",
			  set = function(info,val) AltManager.db.global[me].Frost.handle = val end,
			  get = function(info) return AltManager.db.global[me].Frost.handle end
			},
			HandleWeekly={
			  name=L.Weekly,
			  desc=L.ToggleDesc..L.Weekly,
			  order=201,
			  type="toggle",
			  set = function(info,val) AltManager.db.global[me].Weekly.handle = val end,
			  get = function(info) return AltManager.db.global[me].Weekly.handle end
			},
		  },
		},
		HandlePersonalQuests={
		  type="group",
		  inline=true,
		  order=0,
		  name=L.PersonnalQuest,
		  args={
			ListQuestsAdd={
			  name=L.AddQuest,
			  desc=L.AddQuestDesc,
			  order=2,
			  type="select",
			  values = function() return AltManager:ScanQuestLogForDailies() end,
			  set = function(info,val) AltManager:AddPersonnalQuest(val) end,
			},
			ListQuestsDelete={
			  name=L.DelQuest,
			  desc=L.DelQuestDesc,
			  order=3,
			  type="select",
			  values = function() return AltManager:GetPersonnalQuests() end,
			  set = function(info,val) AltManager:DeletePersonnalQuest(val) end,
			},
		  },
		},
	  },
	}
	
	local HandleRaidLK={
		type="group",
		inline=true,
		order=300,
		name=L.RaidIDs,
		args={
			HandleICC={
			  name=L.ICC,
			  desc=L.ToggleDesc..L.ICC,
			  order=311,
			  type="toggle",
			  set = function(info,val) AltManager.db.global[me].ICC.handle = val end,
			  get = function(info) return AltManager.db.global[me].ICC.handle end
			},
			HandleArcha10={
			  name=L.Archa10,
			  desc=L.ToggleDesc..L.Archa10,
			  order=321,
			  type="toggle",
			  set = function(info,val) AltManager.db.global[me].Archa10.handle = val end,
			  get = function(info) return AltManager.db.global[me].Archa10.handle end
			},
			HandleArcha25={
			  name=L.Archa25,
			  desc=L.ToggleDesc..L.Archa25,
			  order=322,
			  type="toggle",
			  set = function(info,val) AltManager.db.global[me].Archa25.handle = val end,
			  get = function(info) return AltManager.db.global[me].Archa25.handle end
			},
			HandleRuby={
			  name=L.Ruby,
			  desc=L.ToggleDesc..L.Ruby,
			  order=301,
			  type="toggle",
			  set = function(info,val) AltManager.db.global[me].Ruby.handle = val end,
			  get = function(info) return AltManager.db.global[me].Ruby.handle end
			},
			HandleEDC10={
			  name=L.EDC10,
			  desc=L.ToggleDesc..L.EDC10,
			  order=331,
			  type="toggle",
			  set = function(info,val) AltManager.db.global[me].EDC10.handle = val end,
			  get = function(info) return AltManager.db.global[me].EDC10.handle end
			},
			HandleEDC25={
			  name=L.EDC25,
			  desc=L.ToggleDesc..L.EDC25,
			  order=332,
			  type="toggle",
			  set = function(info,val) AltManager.db.global[me].EDC25.handle = val end,
			  get = function(info) return AltManager.db.global[me].EDC25.handle end
			},
			HandleEDC10H={
			  name=L.EDC10H,
			  desc=L.ToggleDesc..L.EDC10H,
			  order=333,
			  type="toggle",
			  set = function(info,val) AltManager.db.global[me].EDC10H.handle = val end,
			  get = function(info) return AltManager.db.global[me].EDC10H.handle end
			},
			HandleEDC25H={
			  name=L.EDC25H,
			  desc=L.ToggleDesc..L.EDC25H,
			  order=334,
			  type="toggle",
			  set = function(info,val) AltManager.db.global[me].EDC25H.handle = val end,
			  get = function(info) return AltManager.db.global[me].EDC25H.handle end
			},
			HandleOny10={
			  name=L.Ony10,
			  desc=L.ToggleDesc..L.Ony10,
			  order=341,
			  type="toggle",
			  set = function(info,val) AltManager.db.global[me].Ony10.handle = val end,
			  get = function(info) return AltManager.db.global[me].Ony10.handle end
			},
			HandleOny25={
			  name=L.Ony25,
			  desc=L.ToggleDesc..L.Ony25,
			  order=342,
			  type="toggle",
			  set = function(info,val) AltManager.db.global[me].Ony25.handle = val end,
			  get = function(info) return AltManager.db.global[me].Ony25.handle end
			},
			HandleUldu10={
			  name=L.Uldu10,
			  desc=L.ToggleDesc..L.Uldu10,
			  order=351,
			  type="toggle",
			  set = function(info,val) AltManager.db.global[me].Uldu10.handle = val end,
			  get = function(info) return AltManager.db.global[me].Uldu10.handle end
			},
			HandleUldu25={
			  name=L.Uldu25,
			  desc=L.ToggleDesc..L.Uldu25,
			  order=352,
			  type="toggle",
			  set = function(info,val) AltManager.db.global[me].Uldu25.handle = val end,
			  get = function(info) return AltManager.db.global[me].Uldu25.handle end
			},
			HandleMaly10={
			  name=L.Maly10,
			  desc=L.ToggleDesc..L.Maly10,
			  order=361,
			  type="toggle",
			  set = function(info,val) AltManager.db.global[me].Maly10.handle = val end,
			  get = function(info) return AltManager.db.global[me].Maly10.handle end
			},
			HandleMaly25={
			  name=L.Maly25,
			  desc=L.ToggleDesc..L.Maly25,
			  order=362,
			  type="toggle",
			  set = function(info,val) AltManager.db.global[me].Maly25.handle = val end,
			  get = function(info) return AltManager.db.global[me].Maly25.handle end
			},
			HandleSartha10={
			  name=L.Sartha10,
			  desc=L.ToggleDesc..L.Sartha10,
			  order=371,
			  type="toggle",
			  set = function(info,val) AltManager.db.global[me].Sartha10.handle = val end,
			  get = function(info) return AltManager.db.global[me].Sartha10.handle end
			},
			HandleSartha25={
			  name=L.Sartha25,
			  desc=L.ToggleDesc..L.Sartha25,
			  order=372,
			  type="toggle",
			  set = function(info,val) AltManager.db.global[me].Sartha25.handle = val end,
			  get = function(info) return AltManager.db.global[me].Sartha25.handle end
			},
			HandleNaxx10={
			  name=L.Naxx10,
			  desc=L.ToggleDesc..L.Naxx10,
			  order=381,
			  type="toggle",
			  set = function(info,val) AltManager.db.global[me].Naxx10.handle = val end,
			  get = function(info) return AltManager.db.global[me].Naxx10.handle end
			},
			HandleNaxx25={
			  name=L.Naxx25,
			  desc=L.ToggleDesc..L.Naxx25,
			  order=382,
			  type="toggle",
			  set = function(info,val) AltManager.db.global[me].Naxx25.handle = val end,
			  get = function(info) return AltManager.db.global[me].Naxx25.handle end
			},
		},
	}
	
	local HandleRaid = {
		type="group",
		inline=true,
		order=300,
		name=L.RaidIDs,
		args={
			HandleBastion={
			  name=L.Bastion,
			  desc=L.ToggleDesc..L.Bastion,
			  order=301,
			  type="toggle",
			  set = function(info,val) AltManager.db.global[me].Bastion.handle = val end,
			  get = function(info) return AltManager.db.global[me].Bastion.handle end
			},
			HandleBaradin={
			  name=L.Baradin,
			  desc=L.ToggleDesc..L.Baradin,
			  order=302,
			  type="toggle",
			  set = function(info,val) AltManager.db.global[me].Baradin.handle = val end,
			  get = function(info) return AltManager.db.global[me].Baradin.handle end
			},
			HandleTotFW={
			  name=L.TotFW,
			  desc=L.ToggleDesc..L.TotFW,
			  order=303,
			  type="toggle",
			  set = function(info,val) AltManager.db.global[me].TotFW.handle = val end,
			  get = function(info) return AltManager.db.global[me].TotFW.handle end
			},
			HandleBWD={
			  name=L.BWD,
			  desc=L.ToggleDesc..L.BWD,
			  order=304,
			  type="toggle",
			  set = function(info,val) AltManager.db.global[me].BWD.handle = val end,
			  get = function(info) return AltManager.db.global[me].BWD.handle end
			},
		},
	}
		
	if (GetAccountExpansionLevel() == 2) then
		AMOptions.args.HandleRaids = HandleRaidLK
	else
		AMOptions.args.HandleRaids = HandleRaid
	end
	
	return AMOptions
end

AMConfig:RegisterOptionsTable("AltManager", AltManager:Options())
AMConfigDialog:AddToBlizOptions("AltManager", "AltManager")