if not AltManager then return end

local me = GetUnitName("Player").." - "..GetRealmName()

-- Database defaults
local DBDefault_LK = {
	profile = {
		minimap = {
			hide = false,
		},
	},
	global = {
		[me] = {
			Char = { who = nil, level = nil, reset = nil },
			Fish = { capable = false, done = 0, handle = true, },
			Cook = { capable = false, done = 0, handle = true, },
			JC = { capable = false, done = 0, handle = true, },
			Weekly = { capable = false, done = 0, handle = true, },
			BG = { capable = false, done = 0, handle = true, },
			Frost = { capable = false, done = 0, handle = true, },
			ICC = { capable = false, done = 0, handle = true, },
			Archa10 = { capable = false, done = 0, handle = true, }, Archa25 = { capable = false, done = 0, handle = true, },
			EDC10 = { capable = false, done = 0, handle = false, }, EDC25 = { capable = false, done = 0, handle = false, }, 
			EDC10H = { capable = false, done = 0, handle = false, }, EDC25H = { capable = false, done = 0, handle = false, }, 
			Uldu10 = { capable = false, done = 0, handle = false, }, Uldu25 = { capable = false, done = 0, handle = false, },
			Naxx10 = { capable = false, done = 0, handle = false, }, Naxx25 = { capable = false, done = 0, handle = false, },
			Ony10 = { capable = false, done = 0, handle = false, }, Ony25 = { capable = false, done = 0, handle = false, },
			Maly10 = { capable = false, done = 0, handle = false, }, Maly25 = { capable = false, done = 0, handle = false, },
			Sartha10 = { capable = false, done = 0, handle = false, }, Sartha25 = { capable = false, done = 0, handle = false, },
			Ruby = { capable = false, done = 0, handle = false, },
		}
	},
}

local tasks_LK = {
	ICC = { div = "raid", isDaily = false, levelRequire = 80, rankRequire = nil },
	Archa10 = { div = "raid", isDaily = false, levelRequire = 80, rankRequire = nil },
	Archa25 = { div = "raid", isDaily = false, levelRequire = 80, rankRequire = nil },
	EDC10 = { div = "raid", isDaily = false, levelRequire = 80, rankRequire = nil },
	EDC25 = { div = "raid", isDaily = false, levelRequire = 80, rankRequire = nil },
	EDC10H = { div = "raid", isDaily = false, levelRequire = 80, rankRequire = nil },
	EDC25H = { div = "raid", isDaily = false, levelRequire = 80, rankRequire = nil },
	Uldu10 = { div = "raid", isDaily = false, levelRequire = 80, rankRequire = nil },
	Uldu25 = { div = "raid", isDaily = false, levelRequire = 80, rankRequire = nil },
	Naxx10 = { div = "raid", isDaily = false, levelRequire = 80, rankRequire = nil },
	Naxx25 = { div = "raid", isDaily = false, levelRequire = 80, rankRequire = nil },
	Ony10 = { div = "raid", isDaily = false, levelRequire = 80, rankRequire = nil },
	Ony25 = { div = "raid", isDaily = false, levelRequire = 80, rankRequire = nil },
	Maly10 = { div = "raid", isDaily = false, levelRequire = 80, rankRequire = nil },
	Maly25 = { div = "raid", isDaily = false, levelRequire = 80, rankRequire = nil },
	Sartha10 = { div = "raid", isDaily = false, levelRequire = 80, rankRequire = nil },
	Sartha25 = { div = "raid", isDaily = false, levelRequire = 80, rankRequire = nil },
	Ruby = { div = "raid", isDaily = false, levelRequire = 80, rankRequire = nil },
	Weekly = { div = "misc", isDaily = false, levelRequire = 80, rankRequire = nil },
	Frost = { div = "misc", isDaily = true, levelRequire = 70, rankRequire = nil },
	BG = { div = "misc", isDaily = true, levelRequire = 80, rankRequire = nil },
	JC = { div = "job", isDaily = true, levelRequire = 65, rankRequire = 350 },
	Fish = { div = "job", isDaily = true, levelRequire = 70, rankRequire = 1 },
	Cook = { div = "job", isDaily = true, levelRequire = 65, rankRequire = 350 },
}

-- In order to associate rank with skill
local skills_LK = {
	ID = { Cook = 2550, Fish = 7620, JC = 25229 },
	Rank = { Cook = -1, Fish = -1, JC = -1 }
}

--Quests
local questsList_LK = {
	[13830] = "Fish", [13832] = "Fish", [13833] = "Fish", [13834] = "Fish", [13836]  = "Fish",
	[13100] = "Cook", [13101] = "Cook", [13102] = "Cook", [13103] = "Cook", [13107] = "Cook", [13112] = "Cook", [13113] = "Cook", [13114] = "Cook", [13115] = "Cook", [13116] = "Cook",
	[12958] = "JC", [12959] = "JC", [12960] = "JC", [12961] = "JC", [12962] = "JC", [12963] = "JC",
	[24579] = "Weekly", [24580] = "Weekly", [24581] = "Weekly", [24582] = "Weekly", [24583] = "Weekly", [24584] = "Weekly", [24585] = "Weekly", [24586] = "Weekly", [24587] = "Weekly", [24588] = "Weekly", [24589] = "Weekly", [24590] = "Weekly" }

-- Easier display in tt with this sort array
local taskList_LK = {
	raids = { "ICC", "Archa10", "Archa25", "EDC10", "EDC25", "EDC10H", "EDC25H", "Uldu10", "Uldu25", "Naxx10", "Naxx25", "Ony10", "Ony25",
	"Maly10", "Maly25", "Sartha10", "Sartha25", "Ruby" },
	jobs = { "JC", "Fish", "Cook" },
	misc = { "Weekly", "Frost", "BG" },
}

local global_LK = {
	lvlMin = 65,
	lvlMax = 80,
	InstanceID = {
		heroic = 262,
		normal = 261
	},
}

-- Database defaults
local DBDefault = {
	profile = {
		minimap = {
			hide = false,
		},
	},
	global = {
		[me] = {
			-- Id
			Char = { who = nil, level = nil, reset = nil },
			PersonnalQ = { quests = {}, },
			-- Job quests
			Fish = { capable = false, done = 0, handle = true, },
			Cook = { capable = false, done = 0, handle = true, },
			JC = { capable = false, done = 0, handle = true, },
			-- Misc
			--Weekly = { capable = false, done = 0, handle = true, },
			BG = { capable = false, done = 0, handle = true, },
			Frost = { capable = false, done = 0, handle = true, },
			-- Raid
			Bastion = { capable = false, done = 0, handle = true, },
			Baradin = { capable = false, done = 0, handle = true, },
			TotFW = { capable = false, done = 0, handle = true, },
			BWD = { capable = false, done = 0, handle = true, },
		}
	},
}

local tasks = {
	-- Raid
	Bastion = { div = "raid", idDaily = false, levelRequire = 85, rankRequire = nil },
	Baradin = { div = "raid", idDaily = false, levelRequire = 85, rankRequire = nil },
	TotFW = { div = "raid", idDaily = false, levelRequire = 85, rankRequire = nil },
	BWD = { div = "raid", idDaily = false, levelRequire = 85, rankRequire = nil },
	-- Misc
	Frost = { div = "misc", isDaily = true, levelRequire = 70, rankRequire = nil },
	BG = { div = "misc", isDaily = true, levelRequire = 80, rankRequire = nil },
	-- Job quests
	JC = { div = "job", isDaily = true, levelRequire = 65, rankRequire = 350 },
	Fish = { div = "job", isDaily = true, levelRequire = 70, rankRequire = 1 },
	Cook = { div = "job", isDaily = true, levelRequire = 65, rankRequire = 350 },
}

-- In order to associate rank with skill
local skills = {
	ID = { Cook = 2550, Fish = 7620, JC = 25229 },
	Rank = { Cook = -1, Fish = -1, JC = -1 }
}

--Quests
local questsList = {
	[26543] = "Fish", [26556] = "Fish", [26557] = "Fish", [26572] = "Fish", [26588] = "Fish", 
	[26414] = "Fish", [26420] = "Fish", [26442] = "Fish", [26488] = "Fish", [26536] = "Fish", 
	[26220] = "Cook", [26226] = "Cook", [26227] = "Cook",[26233] = "Cook", [26234] = "Cook", [26235] = "Cook",
	[26153] = "Cook", [26177] = "Cook", [26183] = "Cook", [26190] = "Cook", [26192] = "Cook", 
	[25105] = "JC", [25154] = "JC", [25155] = "JC", [25156] = "JC", [25157] = "JC",
	[25158] = "JC", [25159] = "JC", [25160] = "JC", [25161] = "JC", [25162] = "JC",
}

-- Easier display in tt with this sort array
local taskList = {
	raids = { "Bastion", "Baradin", "TotFW", "BWD" },
	jobs = { "JC", "Fish", "Cook" },
	misc = { "Frost", "BG" },
}

local global = {
	lvlMin = 65,
	lvlMax = 85,
	InstanceID = {
		heroic = 301,
		normal = 300
	},
}

if (GetAccountExpansionLevel() == 2) then
	AltManager:PopulateVars(DBDefault_LK, skills_LK, tasks_LK, questsList_LK, taskList_LK, global_LK)
else
	AltManager:PopulateVars(DBDefault, skills, tasks, questsList, taskList, global)
end